cgCreateTechnique(3)

NAME
cgCreateTechnique - create a technique in an effect

SYNOPSIS
  #include <Cg/cg.h>
  CGtechnique cgCreateTechnique( CGeffect effect,
                                 const char * name );

PARAMETERS

effect
    The effect to which the new technique will be added.

name
    The name for the new technique.

RETURN VALUES
Returns the handle to the new technique on success.

Returns NULL if any error occurs.

DESCRIPTION
cgCreateTechnique adds a new technique to the specified effect.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_EFFECT_HANDLE_ERROR is generated if effect is not a valid effect.

HISTORY
cgCreateTechnique was introduced in Cg 1.5.

SEE ALSO
cgIsTechnique, cgCreatePass, cgCreateEffectParameter, cgCreateEffectParameterArray, cgCreateEffectParameterMultiDimArray